Skip to main content
GET
/
keys
List API keys
curl --request GET \
  --url https://openrouter.ai/api/v1/keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "byok_usage": 17.38,
      "byok_usage_daily": 17.38,
      "byok_usage_monthly": 17.38,
      "byok_usage_weekly": 17.38,
      "created_at": "2025-08-24T10:30:00Z",
      "creator_user_id": "user_2dHFtVWx2n56w6HkM0000000000",
      "disabled": false,
      "expires_at": "2027-12-31T23:59:59Z",
      "hash": "f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943",
      "include_byok_in_limit": false,
      "label": "Production API Key",
      "limit": 100,
      "limit_remaining": 74.5,
      "limit_reset": "monthly",
      "name": "My Production Key",
      "updated_at": "2025-08-24T15:45:00Z",
      "usage": 25.5,
      "usage_daily": 25.5,
      "usage_monthly": 25.5,
      "usage_weekly": 25.5,
      "workspace_id": "0df9e665-d932-5740-b2c7-b52af166bc11"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Query Parameters

include_disabled
string

Whether to include disabled API keys in the response

Example:

"false"

offset
integer | null

Number of API keys to skip for pagination

Required range: x >= 0
Example:

0

workspace_id
string<uuid>

Filter API keys by workspace ID. By default, keys in the default workspace are returned.

Example:

"0df9e665-d932-5740-b2c7-b52af166bc11"

Response

List of API keys

data
object[]
required

List of API keys